Bug 969853 - gsl fails to build for aarch64 bootstrap
gsl fails to build for aarch64 bootstrap
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gsl (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Frantisek Kluknavsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 14:22 EDT by Mark Salter
Modified: 2013-11-06 08:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 08:48:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Salter 2013-06-02 14:22:55 EDT
Description of problem:
The gsl specfile has a '%check' in the changelog which causes a problem with aarch64 bootstrap where we redefine %check to avoid running package tests on a simulator. The following tweak avoids the problem:

diff --git a/gsl.spec b/gsl.spec
index 7ad6eb8..8a163a6 100644
--- a/gsl.spec
+++ b/gsl.spec
@@ -102,7 +102,7 @@ fi
 
 %changelog
 * Wed Jan 30 2013 Frantisek Kluknavsky <fkluknav@redhat.com> - 1.15-8
-- self test moved to %check section
+- self test moved to %%check section
 
 * Tue Jan 29 2013 Frantisek Kluknavsky <fkluknav@redhat.com> - 1.15-7
 - run self-tests after build


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Frantisek Kluknavsky 2013-06-04 05:50:56 EDT
Fixed. NVR not increased, update of built packages probably not needed.

Note You need to log in before you can comment on or make changes to this bug.